Bug 260581 (CVE-2007-4560) - CVE-2007-4560 ClamAV missing escaping of popen() arguments
Summary: CVE-2007-4560 ClamAV missing escaping of popen() arguments
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-4560
Product: Fedora
Classification: Fedora
Component: clamav   
(Show other bugs)
Version: rawhide
Hardware: All All
medium
low
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-28 15:44 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 0.91.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 17:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-08-28 15:44:48 UTC
======================================================
Name: CVE-2007-4560
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4560
Final-Decision:
Interim-Decision:
Modified:
Proposed:
Assigned: 20070827
Category:
Reference: BUGTRAQ:20070824 n.runs-SA-2007.025 - ClamAV Remote Code Execution
Advisory
Reference:
URL:http://www.securityfocus.com/archive/1/archive/1/477723/100/0/threaded
Reference:
MISC:http://www.nruns.com/security_advisory_clamav_remote_code_exection.php
Reference: BID:25439
Reference: URL:http://www.securityfocus.com/bid/25439

clamav-milter in ClamAV before 0.91.2, when run in black hole mode,
allows remote attackers to execute arbitrary commands via shell
metacharacters that are used in a certain popen call, involving the
"recipient field of sendmail."

Comment 1 Lubomir Kundrak 2007-09-25 09:43:33 UTC
Ping on this issue. Was this solved in
https://admin.fedoraproject.org/updates/F7/clamav-0.91.2-2.fc7 this update?

The changelog says:
* Sat Aug 25 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.91.2-2
- fixed an open(2) issue

Comment 2 Enrico Scholz 2007-09-25 17:35:44 UTC
no, by

* Sat Aug 25 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.91.2-1
- arbitrary command execution by special crafted recipients in
  clamav-milter's black-hole mode



Note You need to log in before you can comment on or make changes to this bug.